---
title: Create VOD webhooks
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Stream](https://developers.cloudflare.com/api/go/resources/stream)

[Webhooks](https://developers.cloudflare.com/api/go/resources/stream/subresources/webhooks)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Create VOD webhooks

client.Stream.Webhooks.Update(ctx, params) (\*[WebhookUpdateResponse](<https://developers.cloudflare.com/api/go/resources/stream#(resource)%20stream.webhooks%20%3E%20(model)%20WebhookUpdateResponse%20%3E%20(schema)>), error)

PUT/accounts/{account\_id}/stream/webhook

Create a webhook for notifications about on-demand video uploads.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Stream Write`

##### ParametersExpand Collapse

<details>

<summary>

params WebhookUpdateParams

</summary>

AccountID param.Field\[string]

Path param: The account identifier tag.

maxLength32

<a href="#(resource)%20stream.webhooks%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

BodyNotificationURL1 param.Field\[string]Optional

Body param: The URL where webhooks will be sent.

formaturi

<a href="#(resource)%20stream.webhooks%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20notification_url">Link to this property</a>

BodyNotificationURL2 param.Field\[string]Optional

Body param: The URL where webhooks will be sent.

formaturi

<a href="#(resource)%20stream.webhooks%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20notificationUrl">Link to this property</a>

</details>

[Link to this property](<#(resource)%20stream.webhooks%20%3E%20(method)%20update%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type WebhookUpdateResponse struct{…}

</summary>

Modified TimeOptional

The date and time the webhook was last modified.

formatdate-time

<a href="#(resource)%20stream.webhooks%20%3E%20(model)%20WebhookUpdateResponse%20%3E%20(schema)%20%3E%20(property)%20modified">Link to this property</a>

NotificationURL stringOptional

The URL where webhooks will be sent.

formaturi

<a href="#(resource)%20stream.webhooks%20%3E%20(model)%20WebhookUpdateResponse%20%3E%20(schema)%20%3E%20(property)%20notificationUrl">Link to this property</a>

Secret stringOptional

The secret used to verify webhook signatures.

<a href="#(resource)%20stream.webhooks%20%3E%20(model)%20WebhookUpdateResponse%20%3E%20(schema)%20%3E%20(property)%20secret">Link to this property</a>

</details>

[Link to this property](<#(resource)%20stream.webhooks%20%3E%20(model)%20WebhookUpdateResponse%20%3E%20(schema)>)

### Create VOD webhooks

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/stream"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  webhook, err := client.Stream.Webhooks.Update(context.TODO(), stream.WebhookUpdateParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", webhook.Modified)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "modified": "2014-01-02T02:20:00Z",
    "notification_url": "https://example.com",
    "notificationUrl": "https://example.com",
    "secret": "secret"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "modified": "2014-01-02T02:20:00Z",
    "notification_url": "https://example.com",
    "notificationUrl": "https://example.com",
    "secret": "secret"
  }
}
```